# Lists

The following API entry points provide the ability to search for records based on [monitoring lists](https://docs.junkipedia.org/reference-material/glossary#list) that would pull them into the monitoring system using the **lists** query string parameter.

* GET /posts
* GET /posts/stats

With each of these endpoints, one or more comma separated list ID values may be specified.

For example, the following request will retrieve posts selected by list ID 1911 or list ID 4224:

GET /posts?lists=1911,4224

## List Names Corresponding To List IDs

Since list ID values are just numeric codes, it is difficult to distinguish them without being able to refer to the names assigned to these lists. You can relate list names to list ID values either through the Junkipedia Web UI or by using API requests to view your lists.

* Junkipedia Web UI – [From the Monitoring tab, navigate to](https://docs.junkipedia.org/getting-started/social-media-monitoring/introducing-the-junkipedia-monitoring-system#manage-your-monitoring-lists) the **Manage Lists** option. When you select a specific list, its list ID value will appear as the numeric URL path segment showing in the address bar of your browser and its name will appear on the content of the page.
* API Request To Retrieve All Lists - You can use [the GET /lists request](https://www.junkipedia.org/apidocs#tag/Lists/operation/findLists) to retrieve all of your lists in a JSON array. Each element of the array represents one of your lists including its name, ID, and various other properties.
* API Request To Retrieve A Specific List - You can use [the GET /lists/{id} request](https://www.junkipedia.org/apidocs#tag/Lists/operation/findList) to retrieve all properties for one specific list. The {id} is the list ID supplied as a path parameter.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.junkipedia.org/reference-material/api/query-string-parameters/lists.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
